SelectorParserConstants (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.selector.SelectorParserConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.selector
Interface SelectorParserConstants

All Known Implementing Classes:
  SelectorParser, SelectorParserTokenManager

public interface SelectorParserConstants

Field Summary
`static int` | `AND`
`static int` | `BETWEEN`
`static int` | `BLOCK_COMMENT`
`static int` | `DEFAULT`
`static int` | `EOF`
`static int` | `ESCAPE`
`static int` | `EXPONENT`
`static int` | `FALSE`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `ID`
`static int` | `IN`
`static int` | `INTEGER_LITERAL`
`static int` | `IS`
`static int` | `LIKE`
`static int` | `LINE_COMMENT`
`static int` | `NOT`
`static int` | `NULL`
`static int` | `OR`
`static int` | `STRING_LITERAL`
`static String[]` | `tokenImage`
`static int` | `TRUE`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### LINE_COMMENT

    public static final int LINE_COMMENT

See Also:
  Constant Field Values

### BLOCK_COMMENT

    public static final int BLOCK_COMMENT

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### BETWEEN

    public static final int BETWEEN

See Also:
  Constant Field Values

### LIKE

    public static final int LIKE

See Also:
  Constant Field Values

### ESCAPE

    public static final int ESCAPE

See Also:
  Constant Field Values

### IN

    public static final int IN

See Also:
  Constant Field Values

### IS

    public static final int IS

See Also:
  Constant Field Values

### TRUE

    public static final int TRUE

See Also:
  Constant Field Values

### FALSE

    public static final int FALSE

See Also:
  Constant Field Values

### NULL

    public static final int NULL

See Also:
  Constant Field Values

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### FLOATING_POINT_LITERAL

    public static final int FLOATING_POINT_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    public static final int EXPONENT

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### ID

    public static final int ID

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    public static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.